opensips-rabbitmq-module_2.2.2-3build7_amd64.deb


Advertisement

Description

opensips-rabbitmq-module - Interface module to interact with a RabbitMQ server

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename opensips-rabbitmq-module_2.2.2-3build7_amd64.deb
Package name opensips-rabbitmq-module
Package version 2.2.2
Package release 3build7
Package architecture amd64
Package type deb
Category universe/net
Homepage http://www.opensips.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 29.58 KB
Installed size 115.00 KB
OpenSIPS is a very fast and flexible SIP (RFC3261)
server. Written entirely in C, OpenSIPS can handle thousands calls
per second even on low-budget hardware.
This package provides the implementation of a RabbitMQ client for the Event
Interface. It is used to send AMQP messages to a RabbitMQ server each time
the Event Interface triggers an event subscribed for.

Alternatives

Package Version Architecture Repository
opensips-rabbitmq-module_2.2.2-3build7_i386.deb 2.2.2 i386 Ubuntu Universe
opensips-rabbitmq-module - - -

Requires

Name Value
libc6 >= 2.14
librabbitmq4 >= 0.6.0
opensips = 2.2.2-3build7

Download

Type URL
Mirror archive.ubuntu.com
Binary Package opensips-rabbitmq-module_2.2.2-3build7_amd64.deb
Source Package opensips

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install opensips-rabbitmq-module deb package:
    # sudo apt-get install opensips-rabbitmq-module

Files

Path
/usr/lib/x86_64-linux-gnu/opensips/modules/event_rabbitmq.so
/usr/share/doc/opensips-rabbitmq-module/README.event_rabbitmq.gz
/usr/share/doc/opensips-rabbitmq-module/changelog.Debian.gz
/usr/share/doc/opensips-rabbitmq-module/copyright

Changelog

2018-11-12 - Steve Langasek <steve.langasek@ubuntu.com>
opensips (2.2.2-3build7) disco; urgency=medium
* No-change rebuild against libhiredis0.14
2018-11-02 - Adam Conrad <adconrad@ubuntu.com>
opensips (2.2.2-3build6) disco; urgency=medium
* No-change rebuild for the perl 5.28 transition.
2018-05-03 - Matthias Klose <doko@ubuntu.com>
opensips (2.2.2-3build5) cosmic; urgency=medium
* No-change rebuild for ncurses soname changes.
2018-02-06 - Dimitri John Ledkov <xnox@ubuntu.com>
opensips (2.2.2-3build4) bionic; urgency=high
* No change rebuild against openssl1.1.
2017-12-05 - Steve Langasek <steve.langasek@ubuntu.com>
opensips (2.2.2-3build3) bionic; urgency=medium
* No-change rebuild against libconfuse2
2017-07-26 - Matthias Klose <doko@ubuntu.com>
opensips (2.2.2-3build2) artful; urgency=medium
* No-change rebuild for perl 5.26.0.
2017-07-09 - Jeremy Bicha <jbicha@ubuntu.com>
opensips (2.2.2-3build1) artful; urgency=medium
* No-change rebuild against latest libmicrohttpd
2016-12-07 - Răzvan Crainea <razvan@opensips.org>
opensips (2.2.2-3) unstable; urgency=medium
* debian/patches:
+ Add patch to disable timerfd features if headers are not available.
+ Add patch to remove forced /usr/local/include on several modules.
+ Remove /usr/local/include from fix-radcli.patch Makefile.
+ Add DEP-3 fields to all patches that were missing the tags.
* debian/rules:
+ Remove CC_EXTRA_OPTS += -DVERSION_NODATE, since already in CFLAGS.
+ Add -marm flag to CFLAGS to disable thumb mode for armhf.
+ Add rules to build opensips-sqlite-module.
+ Remove builds of opensips-sctp-module for non-linux OSes.
+ Remove --with python2 from building recepies.
+ Add --with systemd to building recepies.
* debian/control:
+ Remove orphaned libxmlrpc-core-c3-dev package from Build-Depends.
+ Remove dh-python from Build-Depends.
+ Remove dh-systemd (>= 1.5) to Build-Depends.
+ Add perl:Depends dependency for the opensips-console package.
+ Add new opensips-sqlite-module.
* debian/copyright:
+ Add copyright info for clusterer module files.
+ Add copyright info for db_sqlite module files.
+ Add copyright info for event_flatstore module files.
+ Add copyright info for event_virtual module files.
+ Add copyright info for proto_bin module files.
+ Add copyright info for proto_hep module files.
+ Add copyright info for sql_cacher module files.
2016-12-05 - Răzvan Crainea <razvan@opensips.org>
opensips (2.2.2-2) unstable; urgency=medium
* debian/control:
+ Move libssl-dev from Depends to Build-Depends
+ Remove libsctp-dev from Depends for opensips-sctp-module
+ Remove libcurl4-gnutls-dev from Depends for opensips-restclient-module
* debian/rules:
+ Add NICER=0 to compile flags to see compiler's options

See Also

Package Description
opensips-radius-modules_2.2.2-3build7_amd64.deb Radius modules for OpenSIPS
opensips-redis-module_2.2.2-3build7_amd64.deb Interface module to interact with a Redis server
opensips-regex-module_2.2.2-3build7_amd64.deb PCRE regexp modules for OpenSIPS
opensips-restclient-module_2.2.2-3build7_amd64.deb REST client module for OpenSIPS
opensips-sctp-module_2.2.2-3build7_amd64.deb SCTP transport module for OpenSIPS
opensips-snmpstats-module_2.2.2-3build7_amd64.deb SNMP AgentX subagent module for OpenSIPS
opensips-sqlite-module_2.2.2-3build7_amd64.deb SQLite database connectivity module for OpenSIPS
opensips-tls-module_2.2.2-3build7_amd64.deb TLS transport module for OpenSIPS
opensips-tlsmgm-module_2.2.2-3build7_amd64.deb TLS management module for OpenSIPS
opensips-unixodbc-module_2.2.2-3build7_amd64.deb unixODBC database connectivity module for OpenSIPS
opensips-wss-module_2.2.2-3build7_amd64.deb WebSocket Secure (WSS) transport module for OpenSIPS
opensips-xmlrpc-module_2.2.2-3build7_amd64.deb XMLRPC support for OpenSIPS's Management Interface
opensips-xmpp-module_2.2.2-3build7_amd64.deb XMPP gateway module for OpenSIPS
opensips_2.2.2-3build7_amd64.deb very fast and configurable SIP server
openslide-tools_3.4.1+dfsg-4_amd64.deb Manipulation and conversion tools for OpenSlide
Advertisement
Advertisement